microsoft visual c++ 14.0 is required问题解决办法

背景

安装pymssql, 执行命令pip install pymssql时出错:

error: Microsoft Visual C++ 14.0 is required. Get it with “Microsoft Visual C++ Build Tools”: http://landinghub.visualstudio.com/visual-cpp-build-tools

解决方案

以下方案二选一即可,若想一劳永逸,建议选择方案二

方案一.手动下载whl

step1.手动下载whl文件

这里搜索您要下载的库。
这里写图片描述


下载哪一个呢?

 - cp后接python版本, 请与你的python版本对应
 - win32,标识32位架构,适用于32位系统
 - 后接`_amd64`指64位架构,适用于64位系统

step2. 执行pip install xxx

> pip3 install C:\Users\chenjun\Desktop\pymssql-2.1.3-cp36-cp36m-
win32.whl

方案二.下载c++ 14.0

因为提示需要c++ 14.0,下载14.0.

  1. 点击此处进入下载。
  2. 解压安装(可能比较花时间)
  3. 安装完毕再次执行pip install xx

备注:因为上传到CSDN后需要的积分有点高(非本人设置),故添加baidu盘链接,如果失效请留言告知。
链接:https://pan.baidu.com/s/1R-u3AJtA4nSGQi83cNAiug
提取码:07oe


方案三.运行时库

安装微软运行时库(比方案二更轻便):

链接:https://pan.baidu.com/s/1FQy5V6cgBnlxVC6yvF143Q
提取码: amos

安装完之后再次执行pip install xxx

备注:方案三经过其他童鞋评论说不可用,暂时去掉。

若解决了您的问题,欢迎点赞、评论、关注
相关推荐
©️2020 CSDN 皮肤主题: 撸撸猫 设计师:马嘣嘣 返回首页